Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.util
Class SourceCode.Constructor

    java.lang.Object
      org.apache.openjpa.persistence.util.SourceCode.Element<SourceCode.Constructor>
          org.apache.openjpa.persistence.util.SourceCode.Constructor

All Implemented Interfaces:
  Comparable<SourceCode.Element<SourceCode.Constructor>>

Enclosing class:
  SourceCode

    public class SourceCode.Constructor

extends SourceCode.Element<SourceCode.Constructor>

Field Summary
`(package private) String` | `tab`
`(package private) int` | `tabCount`

Fields inherited from class org.apache.openjpa.persistence.util.SourceCode.Element
`access, annos, comment, isFinal, isStatic, name, params, type`

Constructor Summary
`SourceCode.Constructor(String name)`

Method Summary
`SourceCode.Constructor` | `addArgument(SourceCode.Argument<org.apache.openjpa.persistence.util.SourceCode.ClassName,String> arg)`
`SourceCode.Constructor` | `addArgument(String className, String argName)`
`SourceCode.Constructor` | `addCodeLine(String line)`
`SourceCode.Constructor` | `addCodeLine(String line, boolean tabInc)` if tabInc = true, the current line, and all following lines will be tabbed.
`void` | `setTab(boolean inc)`
`void` | `write(PrintWriter out, int tab)`

Methods inherited from class org.apache.openjpa.persistence.util.SourceCode.Element
`addAnnotation, addComment, addParameter, compareTo, getType, makeFinal, makePrivate, makeProtected, makePublic, makeStatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tabCount

    int tabCount

### tab

    String tab

Constructor Detail

### SourceCode.Constructor

    public SourceCode.Constructor(String name)

Method Detail

### addArgument

    public SourceCode.Constructor addArgument(SourceCode.Argument<org.apache.openjpa.persistence.util.SourceCode.ClassName,String> arg)

### addArgument

    public SourceCode.Constructor addArgument(String className,
                                              String argName)

### addCodeLine

    public SourceCode.Constructor addCodeLine(String line)

### addCodeLine

    public SourceCode.Constructor addCodeLine(String line,
                                              boolean tabInc)

  if tabInc = true, the current line, and all following lines will be tabbed. If false, a tab will be removed.

### setTab

    public void setTab(boolean inc)

### write

    public void write(PrintWriter out,
                      int tab)

  Overrides:
    `write` in class `SourceCode.Element<SourceCode.Constructor>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.